=== debian/changelog ===
shotwell (0.9.2-0ubuntu3) natty; urgency=low

  * debian/patches/02_desktop_translations.patch:
    - Don't translate the .desktop files, they work with gettext and the build
      system translates them all into English (LP: #760978)

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 21 Apr 2011 16:59:53 +1000

shotwell (0.9.2-0ubuntu2) natty; urgency=low

  * debian/patches/00svn_untranslatable_string.patch:
    - Fix untranslatable strings (LP: #760399)

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 14 Apr 2011 14:04:13 +1000

shotwell (0.9.2-0ubuntu1) natty; urgency=low

  * New upstream release (LP: #759487)

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 13 Apr 2011 16:24:19 +1000

shotwell (0.9.1-0ubuntu2) natty; urgency=low

  * debian/patches/01_lpi.patch:
    - Fix non-showing LPI menu items

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 05 Apr 2011 14:51:56 +1000

shotwell (0.9.1-0ubuntu1) natty; urgency=low

  * New upstream release

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 05 Apr 2011 13:59:04 +1000

shotwell (0.9.0-0ubuntu2) natty; urgency=low

  * debian/patches/04_no_resize_grip.patch:
    - Disable resize grip (LP: #740274)

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 24 Mar 2011 15:04:45 +1100

shotwell (0.9.0-0ubuntu1) natty; urgency=low

  * New upstream release
  * debian/control:
    - Can now use valac instead of valac-0.10
  * debian/patches/04_vala_0_10.patch:
    - Dropped, now compiles with Vala 0.11

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 23 Mar 2011 19:18:33 +1100

shotwell (0.8.90-0ubuntu2) natty; urgency=low

  * debian/control:
    - Add missing build-depends on m4, libgnomevfs2-dev

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 10 Mar 2011 12:04:27 +1100

shotwell (0.8.90-0ubuntu1) natty; urgency=low

  * New upstream release (LP: #731007)

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 10 Mar 2011 10:48:06 +1100

shotwell (0.8.1-0ubuntu3) natty; urgency=low

  * Rebuild against libraw 0.13.1

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 09 Feb 2011 16:04:57 +1100

shotwell (0.8.1-0ubuntu2) natty; urgency=low

  * Rebuild against libraw 0.13.0

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 08 Feb 2011 11:15:21 +1100

shotwell (0.8.1-0ubuntu1) natty; urgency=low

  * New upstream release
  * debian/control:
    - Bump build-depends on valac-0.10

 -- Robert Ancell <robert.ancell@canonical.com>  Thu, 13 Jan 2011 12:18:27 -0600

shotwell (0.8.0-0ubuntu2) natty; urgency=low

  * debian/control:
    - Change build-depends from libwebkit-dev to libwebkitgtk-dev

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 10 Jan 2011 14:55:00 -0600

shotwell (0.8.0-0ubuntu1) natty; urgency=low

  * New upstream release
  * debian/control:
    - Bump build-depends on valac-0.10, libjson-glib-dev, libgstreamer0.10-dev
    - Use standards version 3.9.1
  * debian/patches/02_desktop_gettext.patch:
    - Applied upstream
  * debian/patches/non-linux-fixes.patch:
    - Dropped, as doesn't apply and not required in Ubuntu

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 29 Dec 2010 09:25:44 +1100

shotwell (0.7.2-0ubuntu4) natty; urgency=low

  * debian/control:
    - Change build-depends from valac to valac-0.10

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 01 Dec 2010 16:45:42 +1100

shotwell (0.7.2-0ubuntu3) natty; urgency=low

  [ Martin Pitt ]
  * debian/rules: Build with scour for SVG optimization. Add python-scour
    build dependency.

  [ Robert Ancell ]
  * Rebuild to fix crash after gexiv2 update (LP: #676949)
  * debian/patches/04_vala_0_10.patch:
    - Compile with valac-0.10

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 01 Dec 2010 15:38:54 +1100
