## shotwell 0.9.3

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 PROGRAM = shotwell
 
-VERSION = 0.9.2
+VERSION = 0.9.3
 GETTEXT_PACKAGE = $(PROGRAM)
 BUILD_ROOT = 1
