=== debian/changelog ===
shotwell (0.9.3-0ubuntu0.1) natty-proposed; urgency=low

  * New upstream bugfix release (LP: #771841)
    - Resolves issue where setting the desktop background didn't work in
      GNOME 3
    - Mimics are now deleted when a RAW photo is removed
    - Event dates are now only shown once in the Event view
    - Fixes a number of translation issues
  * debian/patches/00svn_untranslatable_string.patch:
    - Dropped, applied upstream

 -- Michael Terry <mterry@ubuntu.com>  Wed, 27 Apr 2011 10:32:08 -0400
