=== debian/control ===
Source: shotwell
Section: gnome
Priority: extra
XSBC-Original-Maintainer: Devid Antonio Filoni <d.filoni@ubuntu.com>
Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~),
               m4,
               valac (>= 0.11.7),
               python-scour,
               libgee-dev (>= 0.5.0),
               libgtk2.0-dev (>= 2.18.0),
               libexif-dev (>= 0.6.16),
               libsqlite3-dev (>= 3.5.9),
               libgexiv2-dev (>= 0.2.0),
               libgconf2-dev (>= 2.22.0),
               libgphoto2-2-dev (>= 2.4.2),
               libsoup2.4-dev (>= 2.26.0),
               libxml2 (>= 2.6.32),
               libunique-dev (>= 1.0.0),
               libwebkitgtk-dev,
               libjson-glib-dev (>= 0.7.6),
               libgstreamer0.10-dev (>= 0.10.28),
               libgudev-1.0-dev (>= 145) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
               libdbus-glib-1-dev (>= 0.80),
               libraw-dev (>= 0.13.1),
               libusb-dev,
               libgnomevfs2-dev,
               liblaunchpad-integration-dev (>= 0.1.36)
Standards-Version: 3.9.1
Homepage: http://yorba.org/shotwell/
Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/shotwell/ubuntu

Package: shotwell
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, librsvg2-common, dbus-x11
Description: digital photo organizer
 Shotwell is a digital photo organizer designed for the GNOME desktop
 environment. It allows you to import photos from disk or camera, organize
 them in various ways, view them in full-window or fullscreen mode, and
 export them to share with others.
