=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with-scour

override_dh_installchangelogs:
	dh_installchangelogs NEWS
