## shotwell 0.11.2

=== Makefile ===
--- 
+++ 
@@ -1,30 +1,46 @@
 PROGRAM = shotwell
-
-VERSION = 0.9.3
+PROGRAM_THUMBNAILER = shotwell-video-thumbnailer
+
+VERSION = 0.11.2
 GETTEXT_PACKAGE = $(PROGRAM)
 BUILD_ROOT = 1
 
+ifndef VALAC
 VALAC := valac
+endif
 VALAC_VERSION := `$(VALAC) --version | awk '{print $$2}'`
 MIN_VALAC_VERSION := 0.11.7
+MAX_VALAC_VERSION := 0.13.0
 INSTALL_PROGRAM := install
 INSTALL_DATA := install -m 644
 
+# needed for testing
+VALADATE_PKG_NAME := valadate-1.0
+MIN_VALADATE_VERSION := 0.1.1
+
 # defaults that may be overridden by configure.mk
 PREFIX=/usr/local
-SCHEMA_FILE_DIR=/etc/gconf/schemas
 BUILD_RELEASE=1
 LIB=lib
 
 -include configure.mk
 
-SUPPORTED_LANGUAGES=fr de it es pl et sv sk lv pt bg bn nl da zh_CN el ru pa hu en_GB uk ja fi zh_TW cs nb id th sl hr ar ast ro sr lt gl tr ca ko kk pt_BR eu he mk te ta
+CORE_SUPPORTED_LANGUAGES=fr de it es pl et sv sk lv pt bg bn nl da zh_CN el ru pa hu en_GB uk \
+    ja fi zh_TW cs nb id th sl hr ar ast ro sr lt gl tr ca ko kk pt_BR eu he mk te ta
+
+EXTRAS_SUPPORTED_LANGUAGES=fr de it es pl et sv sk lv pt bg bn nl da zh_CN el ru pa hu en_GB uk \
+    ja fi zh_TW cs nb id th sl hr ar ast ro sr lt gl tr ca ko kk pt_BR eu he mk te ta
+
 LOCAL_LANG_DIR=locale-langpack
 SYSTEM_LANG_DIR := $(DESTDIR)$(PREFIX)/share/locale
 
 VALAFLAGS := -g --enable-checking --thread --fatal-warnings $(USER_VALAFLAGS)
+ifdef UNITY_SUPPORT
+VALAFLAGS := $(VALAFLAGS) --define UNITY_SUPPORT
+endif
+
 DEFINES := _PREFIX='"$(PREFIX)"' _VERSION='"$(VERSION)"' GETTEXT_PACKAGE='"$(GETTEXT_PACKAGE)"' \
-	_LANG_SUPPORT_DIR='"$(SYSTEM_LANG_DIR)"' _LIBDIR='"${LIB}"'
+	_LANG_SUPPORT_DIR='"$(SYSTEM_LANG_DIR)"' _LIB='"${LIB}"'
 
 EXPORT_FLAGS = -export-dynamic
 
@@ -40,10 +56,8 @@
 	CheckerboardLayout.vala \
 	PhotoPage.vala \
 	Page.vala \
-	ImportPage.vala \
-	GPhoto.vala \
 	SortedList.vala \
-	EventsDirectoryPage.vala \
+	SortedListTests.vala \
 	Dimensions.vala \
 	Box.vala \
 	Photo.vala \
@@ -52,35 +66,24 @@
 	Dialogs.vala \
 	Resources.vala \
 	Debug.vala \
-	Sidebar.vala \
 	ColorTransformation.vala \
 	EditingTools.vala \
-	LibraryWindow.vala \
-	CameraTable.vala \
 	Properties.vala \
 	CustomComponents.vala \
-	Config.vala \
 	Event.vala \
 	International.vala \
 	AppDirs.vala \
 	PixbufCache.vala \
-	WebConnectors.vala \
 	CommandManager.vala \
 	Commands.vala \
 	SlideshowPage.vala \
 	LibraryFiles.vala \
 	Printing.vala \
 	Tag.vala \
-	TagPage.vala \
-	PiwigoConnector.vala \
 	Screensaver.vala \
-	MimicManager.vala \
-	TrashPage.vala \
 	Exporter.vala \
 	DirectoryMonitor.vala \
 	LibraryMonitor.vala \
-	OfflinePage.vala \
-	LastImportPage.vala \
 	VideoSupport.vala \
 	Tombstone.vala \
 	MetadataWriter.vala \
@@ -89,7 +92,6 @@
 	MediaPage.vala \
 	MediaDataRepresentation.vala \
 	DesktopIntegration.vala \
-	FlaggedPage.vala \
 	MediaInterfaces.vala \
 	MediaMetadata.vala \
 	VideoMetadata.vala \
@@ -97,7 +99,11 @@
 	PhotoMonitor.vala \
 	VideoMonitor.vala \
 	SearchFilter.vala \
-	MediaViewTracker.vala
+	MediaViewTracker.vala \
+	Upgrades.vala
+
+THUMBNAILER_SRC_FILES = \
+	shotwell-video-thumbnailer.vala
 
 VAPI_FILES = \
 	libexif.vapi \
@@ -107,26 +113,33 @@
 	libraw.vapi
 
 RESOURCE_FILES = \
-	photo.ui \
 	collection.ui \
-	import.ui \
+	direct.ui \
+	events_directory.ui \
+	event.ui \
 	fullscreen.ui \
 	import_queue.ui \
-	events_directory.ui \
-	event.ui \
-	direct.ui \
+	import.ui \
+	media.ui \
+	offline.ui \
+	photo.ui \
+	savedsearch.ui \
+	search_bar.ui \
+	set_background_dialog.glade \
+	shotwell.glade \
+	shotwell.xml \
+	sidebar_default_context.ui \
 	tags.ui \
 	trash.ui \
-	offline.ui \
-	media.ui \
-	shotwell.glade \
-	set_background_dialog.glade \
-	search_bar.ui
+	search_sidebar_context.ui \
+	tag_sidebar_context.ui
 
 SYS_INTEGRATION_FILES = \
 	shotwell.desktop.head \
 	shotwell-viewer.desktop.head \
-	shotwell.schemas
+	org.yorba.shotwell.gschema.xml \
+	org.yorba.shotwell-extras.gschema.xml \
+	shotwell.convert
 
 SRC_HEADER_FILES = \
 	gphoto.h
@@ -249,7 +262,6 @@
 # added to this list
 EXT_PKGS = \
 	atk \
-	gconf-2.0 \
 	gdk-2.0 \
 	gdk-x11-2.0 \
 	gee-1.0 \
@@ -257,9 +269,9 @@
 	gio-unix-2.0 \
 	glib-2.0 \
 	gmodule-2.0 \
-	gnome-vfs-2.0 \
 	gstreamer-0.10 \
 	gstreamer-base-0.10 \
+	gstreamer-pbutils-0.10 \
 	gtk+-2.0 \
 	gudev-1.0 \
 	libexif \
@@ -268,7 +280,17 @@
 	libxml-2.0 \
 	sqlite3 \
 	unique-1.0 \
-	webkit-1.0
+	webkit-1.0 \
+	gconf-2.0
+ifdef UNITY_SUPPORT
+EXT_PKGS += unity
+endif
+
+THUMBNAILER_PKGS = \
+    gtk+-2.0 \
+    gee-1.0 \
+    gstreamer-0.10 \
+    gstreamer-base-0.10
 
 DIRECT_LIBS =
 
@@ -278,15 +300,14 @@
 # libraw is handled separately (see note below); when libraw-config is no longer needed, the version
 # should be added to this list
 EXT_PKG_VERSIONS = \
-	gconf-2.0 >= 2.22.0 \
 	gee-1.0 >= 0.5.0 \
 	gexiv2 >= 0.2.0 \
 	gio-unix-2.0 >= 2.20 \
 	glib-2.0 >= 2.26.0 \
 	gmodule-2.0 >= 2.24.0 \
-	gnome-vfs-2.0 >= 2.24.2 \
 	gstreamer-0.10 >= 0.10.28 \
 	gstreamer-base-0.10 >= 0.10.28 \
+	gstreamer-pbutils-0.10 >= 0.10.32 \
 	gtk+-2.0 >= 2.18.0 \
 	gudev-1.0 >= 145 \
 	libexif >= 0.6.16 \
@@ -295,8 +316,13 @@
 	libxml-2.0 >= 2.6.32 \
 	sqlite3 >= 3.5.9 \
 	unique-1.0 >= 1.0.0 \
-	webkit-1.0 >= 1.1.5
-
+	webkit-1.0 >= 1.1.5 \
+	gconf-2.0 >= 2.22.0
+
+ifdef ENABLE_TESTS
+EXT_PKGS += valadate-1.0
+EXT_PKG_VERSIONS += valadate-1.0 >= 0.1.1
+endif
 DIRECT_LIBS_VERSIONS =
 
 LIBRAW_VERSION = \
@@ -322,7 +348,7 @@
 include $(UNIT_MKS)
 
 UNITIZE_DIR := src/.unitize
-UNITIZE_ENTRIES := $(foreach group,$(APP_GROUPS),$(UNITIZE_DIR)/_$(group)_unitize_entry.vala)
+UNITIZE_ENTRIES := $(foreach unit,$(APP_UNITS),$(UNITIZE_DIR)/_$(unit)_unitize_entry.vala)
 UNITIZE_INITS := $(foreach nm,$(UNIT_NAMESPACES),$(UNITIZE_DIR)/_$(nm)Internals.vala)
 UNITIZE_STAMP := $(UNITIZE_DIR)/.unitized
 
@@ -331,7 +357,13 @@
 EXTRA_PLUGINS_SO := $(foreach plugin,$(EXTRA_PLUGINS),$(PLUGINS_DIR)/$(plugin)/$(plugin).so)
 PLUGINS_DIST_FILES := `$(MAKE) --directory=plugins --no-print-directory listfiles`
 
-EXPANDED_PO_FILES := $(foreach po,$(SUPPORTED_LANGUAGES),po/$(po).po)
+THUMBNAILER_DIR := thumbnailer
+THUMBNAILER_BIN := $(THUMBNAILER_DIR)/$(PROGRAM_THUMBNAILER)
+EXPANDED_THUMBNAILER_SRC_FILES := $(foreach file, $(THUMBNAILER_SRC_FILES), $(THUMBNAILER_DIR)/$(file))
+
+EXPANDED_CORE_PO_FILES := $(foreach po,$(CORE_SUPPORTED_LANGUAGES),po/shotwell-core/$(po).po)
+EXPANDED_EXTRAS_PO_FILES := $(foreach po,$(EXTRAS_SUPPORTED_LANGUAGES),po/shotwell-extras/$(po).po)
+
 EXPANDED_SRC_FILES := $(UNITIZED_SRC_FILES) $(foreach src,$(UNUNITIZED_SRC_FILES),src/$(src)) \
 	$(UNITIZE_INITS) $(UNITIZE_ENTRIES)
 EXPANDED_DIST_SRC_FILES := $(UNITIZED_SRC_FILES) $(foreach src,$(UNUNITIZED_SRC_FILES),src/$(src))
@@ -352,16 +384,24 @@
 
 DIST_FILES = Makefile configure chkver $(EXPANDED_DIST_SRC_FILES) $(EXPANDED_VAPI_FILES) \
 	$(EXPANDED_SRC_HEADER_FILES) $(EXPANDED_RESOURCE_FILES) $(TEXT_FILES) $(EXPANDED_ICON_FILES) \
-	$(EXPANDED_SYS_INTEGRATION_FILES) $(EXPANDED_PO_FILES) po/shotwell.pot libraw-config \
+	$(EXPANDED_SYS_INTEGRATION_FILES) $(EXPANDED_CORE_PO_FILES) $(EXPANDED_EXTRAS_PO_FILES) \
+	po/shotwell-core/shotwell.pot po/shotwell-extras/shotwell-extras.pot libraw-config \
 	$(EXPANDED_HELP_FILES) $(EXPANDED_HELP_IMAGES) apport/shotwell.py $(UNIT_RESOURCES) $(UNIT_MKS) \
-	unitize.mk units.mk $(PC_INPUT) $(PLUGINS_DIST_FILES)
+	unitize.mk units.mk $(PC_INPUT) $(PLUGINS_DIST_FILES) \
+	$(EXPANDED_THUMBNAILER_SRC_FILES)
+	
 
 DIST_TAR = $(PROGRAM)-$(VERSION).tar
 DIST_TAR_BZ2 = $(DIST_TAR).bz2
 DIST_TAR_GZ = $(DIST_TAR).gz
 PACKAGE_ORIG_GZ = $(PROGRAM)_`parsechangelog | grep Version | sed 's/.*: //'`.orig.tar.gz
 
-VALAFLAGS := $(VALAFLAGS) --vapidir=plugins/
+VALAFLAGS := $(VALAFLAGS) $(VALA_DEFINES) --vapidir=plugins/
+
+ifdef ENABLE_TESTS
+VALAFLAGS := $(VALAFLAGS) --vapi=libshotwell.vapi --define=ENABLE_TESTS 
+DEFINES := $(DEFINES) ENABLE_TESTS=true
+endif
 
 VALA_CFLAGS := `pkg-config --cflags $(EXT_PKGS) $(DIRECT_LIBS) gthread-2.0` \
 	$(foreach hdir,$(HEADER_DIRS),-I$(hdir)) \
@@ -400,67 +440,16 @@
 		@ ./chkver max $(VALAC_VERSION) $(MAX_VALAC_VERSION) || ( echo 'Shotwell cannot be built by Vala compiler $(MAX_VALAC_VERSION) or greater.  You are running' $(VALAC_VERSION) '\b.'; exit 1 ),)
 endef
 
+define check_valadate_version
+	@ pkg-config $(VALADATE_PKG_NAME) --atleast-version=$(MIN_VALADATE_VERSION) || ( echo 'Shotwell testing requires Valadate $(MIN_VALADATE_VERSION) or greater.  You are running' `pkg-config --modversion $(VALADATE_PKG_NAME)` '\b.'; exit 1 )
+endef
+
+all: pkgcheck
+
 ifdef ENABLE_BUILD_FOR_GLADE
 all: $(PLUGINS_DIR) lib$(PROGRAM).so $(PROGRAM) $(PC_FILE)
 else
+ifdef ENABLE_TESTS
 all: $(PLUGINS_DIR) $(PROGRAM) $(PC_FILE)
-endif
-
-include src/plugins/mk/interfaces.mk
-
-$(LANG_STAMP): $(EXPANDED_PO_FILES)
-	@$(foreach po,$(SUPPORTED_LANGUAGES),`mkdir -p $(LOCAL_LANG_DIR)/$(po)/LC_MESSAGES ; \
-		msgfmt -o $(LOCAL_LANG_DIR)/$(po)/LC_MESSAGES/shotwell.mo po/$(po).po`)
-	@touch $(LANG_STAMP)
-
-clean:
-	rm -f $(EXPANDED_C_FILES)
-	rm -f $(EXPANDED_OBJ_FILES)
-	rm -f $(VALA_STAMP)
-	rm -rf $(PROGRAM)-$(VERSION)
-	rm -f $(PROGRAM)
-	rm -rf $(LOCAL_LANG_DIR)
-	rm -f $(LANG_STAMP)
-	rm -f $(TEMPORARY_DESKTOP_FILES)
-	rm -f lib$(PROGRAM).so
-	rm -rf $(UNITIZE_DIR)
-	rm -f $(PLUGIN_VAPI)
-	rm -f $(PLUGIN_HEADER)
-	rm -f $(PLUGIN_DEPS)
-	rm -f $(PLUGINS_SO)
-	rm -f $(EXTRA_PLUGINS_SO)
-	@$(MAKE) --directory=plugins clean
-	rm -f $(PC_FILE)
-
-cleantemps:
-	rm -f $(EXPANDED_C_FILES)
-	rm -f $(EXPANDED_OBJ_FILES)
-	rm -f $(VALA_STAMP)
-	rm -f $(LANG_STAMP)
-	rm -f $(TEMPORARY_DESKTOP_FILES)
-	@$(MAKE) --directory=plugins cleantemps
-
-package:
-	$(MAKE) dist
-	cp $(DIST_TAR_GZ) $(PACKAGE_ORIG_GZ)
-	rm -f $(DIST_TAR_GZ)
-	rm -f $(DIST_TAR_BZ2)
-
-.PHONY: dist
-dist:
-	mkdir -p $(PROGRAM)-$(VERSION)
-	cp --parents --preserve $(DIST_FILES) $(PROGRAM)-$(VERSION)
-	tar --bzip2 -cvf $(DIST_TAR_BZ2) $(PROGRAM)-$(VERSION)
-	tar --gzip -cvf $(DIST_TAR_GZ) $(PROGRAM)-$(VERSION)
-	rm -rf $(PROGRAM)-$(VERSION)
-
-distclean: clean
-	rm -f configure.mk
-	rm -f $(DIST_TAR_BZ2)
-	rm -f $(DIST_TAR_GZ)
-	@$(MAKE) --directory=plugins distclean
-
-.PHONY: install
-install:
-	cp misc/shotwell.desktop.head misc/shotwell.desktop
-	cp misc/shotwell-viewer.desktop.head misc/shotwell-viewer.desktop
+
+valadate_check:
