=== debian/changelog ===
shotwell (0.11.2-0ubuntu1) oneiric; urgency=low

  * New upstream version
  * debian/rules: 
    -use --disable-icon-update, the update is done by a trigger on the user 
     system, not during the build

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 21 Sep 2011 16:19:48 +0200

shotwell (0.11.1-0ubuntu1) oneiric; urgency=low

  * New upstream version, fixes the translation template (lp: #838860)
    - gee_array_list_real_get: assertion failed (lp: #836268)
    - send to encoding issue (lp: #831791)
    - upload to piwigo (lp: #830169)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 09 Sep 2011 15:49:04 +0200

shotwell (0.11.0-0ubuntu2) oneiric; urgency=low

  * debian/control: build-depends on libgstreamer-plugins-base0.10-dev

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 24 Aug 2011 11:58:46 +0200

shotwell (0.11.0-0ubuntu1) oneiric; urgency=low

  * New upstream version, drop patches which are in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 24 Aug 2011 11:45:16 +0200

shotwell (0.10.1-0ubuntu3) oneiric; urgency=low

  * debian/control:
    - Build with valac-0.12 to fix FTBFS (LP: #832375)

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 24 Aug 2011 17:53:07 +1200

shotwell (0.10.1-0ubuntu2) oneiric; urgency=low

  * debian/patches/05_fix_plugin_linkage.patch: Build plugins with
    --no-as-needed passed to the linker to avoid unresolved symbols
    at runtime, resulting in failure to upload photos (LP: #793804)

 -- Jani Monoses <jani@ubuntu.com>  Sat, 18 Jun 2011 00:24:44 +0300

shotwell (0.10.1-0ubuntu1) oneiric; urgency=low

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 06 Jun 2011 11:49:32 +0200
