=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
 Build-Depends: debhelper (>= 7.0.50~),
                m4,
-               valac (>= 0.11.7),
+               valac-0.12 (>= 0.11.7),
                python-scour,
                libgee-dev (>= 0.5.0),
                libgtk2.0-dev (>= 2.18.0),
@@ -20,6 +20,7 @@
                libwebkitgtk-dev,
                libjson-glib-dev (>= 0.7.6),
                libgstreamer0.10-dev (>= 0.10.28),
+               libgstreamer-plugins-base0.10-dev,
                libgudev-1.0-dev (>= 145) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
                libdbus-glib-1-dev (>= 0.80),
                libraw-dev (>= 0.13.1),
