=== debian/changelog ===
shotwell (0.11.5-1) unstable; urgency=low

  * New upstream release (Closes: 645942).
  * Show translations in GNOME menu, thanks to Hideki Yamane
    <henrich@debian.or.jp> for this (Closes: 644905).

  [ Luca Falavigna ]
  * Enable DM upload.

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Sun, 23 Oct 2011 01:39:38 +0200

shotwell (0.11.2-1) unstable; urgency=low

  * Team upload.
  * New upstream bugfix release.
  * debian/rules:
    - Do not compile GConf schema (Closes: #641677).

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 24 Sep 2011 14:27:33 +0200

shotwell (0.11.1-1) unstable; urgency=low

  * Team upload.
  * New upstream bugfix release.
  * debian/patches/sidebar-bg-color.patch:
    - Refresh for new upstream release.

 -- Luca Falavigna <dktrkranz@debian.org>  Tue, 13 Sep 2011 20:53:25 +0200

shotwell (0.11.0-1) unstable; urgency=low

  * Team upload.
  * New upstream release (Closes: #639863).
  * debian/patches/sidebar-bg-color.patch:
    - Refresh for new upstream release.
  * debian/control:
    - Build-depend on libgstreamer-plugins-base0.10-dev.

 -- Luca Falavigna <dktrkranz@debian.org>  Thu, 01 Sep 2011 19:59:07 +0200

shotwell (0.10.1-1) unstable; urgency=low

  * Team upload
  * New upstream release (Closes: #629311).
  * debian/patches/non-linux-fixes.patch:
    - Removed, waiting for proper upstream porting efforts.
  * debian/patches/sidebar-bg-color.patch:
    - Refresh for new upstream release.
  * debian/control:
    - Add Debian Shotwell Maintainers to Maintainers.
    - Move Devid to Uploaders.
    - libwebkitgtk-dev transition (Closes: #635426).
    - Set Architecture to linux-any, shotwell is currently unsupported
      outside of Linux platform, and require some porting.
  * debian/shotwell-video-thumbnailer.1:
    - Provide a minimal man page for shotwell-video-thumbnailer

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 21 Aug 2011 15:38:31 +0200

shotwell (0.9.3-1) unstable; urgency=low

  * New upstream release (Closes: #622705).
  * Update debian/patches/non-linux-fixes.patch patch.
  * Bump Standards-Version to 3.9.2.

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Sun, 01 May 2011 13:09:48 +0200

shotwell (0.9.1-1) unstable; urgency=low

  * Upload to unstable.
  * New upstream release (Closes: #620765).
  * debian/control: modify libgexiv2-dev (>= 0.3.1) to libgexiv2-dev
    (>= 0.2.2-4) in Build-Depends field.
  * Update debian/patches/non-linux-fixes.patch patch.

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Fri, 08 Apr 2011 23:28:01 +0200

shotwell (0.9.0-1) experimental; urgency=low

  * New upstream release (Closes: #614730, #593660, #619478).
  * debian/control: modify valac-0.10 (>= 0.10.4) to valac-0.12 (>= 0.11.7)
    in Build-Depends field.
  * debian/control: add m4 and libgnomevfs2-dev (>= 2.24.2) to Build-Depends
    field.
  * debian/control: modify libgexiv2-dev (>= 0.2.0) to libgexiv2-dev
    (>= 0.3.1) in Build-Depends field.
  * Remove debian/patches/vala-0_10_4.patch patch, fixed upstream.
  * Update debian/patches/non-linux-fixes.patch patch.
  * Update debian/copyright file.
  * Override library-not-linked-against-libc lintian warnings.
  * Override image-file-in-usr-lib lintian warnings.

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Sun, 27 Mar 2011 15:07:13 +0200

shotwell (0.8.1-4) unstable; urgency=low

  * A patch was reverting some changes introduced in 0.8.1-3, apply them.

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Sun, 27 Mar 2011 12:42:49 +0200

shotwell (0.8.1-3) unstable; urgency=low

  * Update debian/patches/non-linux-fixes.patch patch (Closes: #619682).
  * Add debian/patches/vala-0_10_4.patch patch, fix FTBFS caused by 
    valac 0.10.4.
  * debian/control: modify valac-0.10 (>= 0.9.8) to valac-0.10 (>= 0.10.4)
    in Build-Depends field.

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Sat, 26 Mar 2011 23:45:32 +0100

shotwell (0.8.1-2) unstable; urgency=low

  * Upload to unstable (Closes: #614445).
  * debian/control: modify libjson-glib-dev (>= 0.10.28) to libjson-glib-dev
    (>= 0.7.6)
  * debian/control: modify libgstreamer0.10-dev (>= 0.7.6) to
    libgstreamer0.10-dev (>= 0.10.28)
  * debian/control: modify libraw-dev to libraw-dev (>= 0.13.1-2).

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Mon, 28 Feb 2011 22:16:51 +0100

shotwell (0.8.1-1) experimental; urgency=low

  * New upstream release.
  * debian/control: modify valac-0.10 (>= 0.9.7) to valac-0.10 (>= 0.9.8) in
    Build-Depends field.
  * Update debian/copyright.

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Thu, 27 Jan 2011 23:05:40 +0100

shotwell (0.8.0-1) experimental; urgency=low

  * New upstream release.
  * debian/control: modify valac (>= 0.9.5) to valac-0.10 (>= 0.9.7) in
    Build-Depends field.
  * debian/control: add libjson-glib-dev and libgstreamer0.10-dev to
    Build-Depends field.
  * Update debian/patches/sidebar-bg-color.patch patch.
  * Update debian/patches/non-linux-fixes.patch patch.

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Fri, 07 Jan 2011 15:14:41 +0100

shotwell (0.7.2-1) experimental; urgency=low

  * New upstream release.
  * Update debian/patches/sidebar-bg-color.patch patch.

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Wed, 15 Sep 2010 14:56:23 +0200

shotwell (0.7.0-1) experimental; urgency=low

  * New upstream release.
  * debian/control: remove Luca Falavigna from Uploaders field.
  * debian/control: update valac version to >= 0.9.5.
  * debian/control: update libgexiv2-dev version to >= 0.2.0.
  * Update debian/patches/non-linux-fixes.patch patch.
  * debian/patches/sidebar-bg-color.patch: don't set sidebar background color
    (Closes: #594170).
  * Bump Standards-Version to 3.9.1.

 -- Devid Antonio Filoni <d.filoni@ubuntu.com>  Tue, 24 Aug 2010 17:34:23 +0200
