## shotwell 0.11.6

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 PROGRAM = shotwell
 PROGRAM_THUMBNAILER = shotwell-video-thumbnailer
 
-VERSION = 0.11.5
+VERSION = 0.11.6
 GETTEXT_PACKAGE = $(PROGRAM)
 BUILD_ROOT = 1
