=== debian/changelog ===
shotwell (0.11.6-1) unstable; urgency=low

  * Team upload.
  * New upstream release.

 -- Luca Falavigna <dktrkranz@debian.org>  Thu, 08 Dec 2011 22:38:11 +0100
