=== debian/control ===
Source: shotwell
Section: gnome
Priority: optional
Maintainer: Debian Shotwell Maintainers <pkg-shotwell-maint@lists.alioth.debian.org>
Uploaders: Devid Antonio Filoni <d.filoni@ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~),
               m4,
               valac-0.12 (>= 0.11.7),
               libgee-dev (>= 0.5.0),
               libgtk2.0-dev (>= 2.18.0),
               libexif-dev (>= 0.6.16),
               libsqlite3-dev (>= 3.5.9),
               libgexiv2-dev (>= 0.2.2-4),
               libgnomevfs2-dev (>= 2.24.2),
               libgconf2-dev (>= 2.22.0),
               libgphoto2-2-dev (>= 2.4.2),
               libsoup2.4-dev (>= 2.26.0),
               libxml2 (>= 2.6.32),
               libunique-dev (>= 1.0.0),
               libwebkitgtk-dev (>= 1.1.5),
               libgudev-1.0-dev (>= 145),
               libdbus-glib-1-dev (>= 0.80),
               libraw-dev (>= 0.13.1-2),
               libusb-dev,
               libjson-glib-dev (>= 0.7.6),
               libgstreamer0.10-dev (>= 0.10.28),
               libgstreamer-plugins-base0.10-dev (>= 0.10.32),
               locales-all
DM-Upload-Allowed: yes
Standards-Version: 3.9.2
Homepage: http://yorba.org/shotwell/

Package: shotwell
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, librsvg2-common, dbus-x11
Description: digital photo organizer
 Shotwell is a digital photo organizer designed for the GNOME desktop
 environment. It allows you to import photos from disk or camera, organize
 them in various ways, view them in full-window or fullscreen mode, and
 export them to share with others.
